Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.runtime
Interface ServerRuntimeMBean

public interface ServerRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `RUNNING` Value returned by getState() to indicate the the server is running.
`static java.lang.String` | `SHUTDOWN_IN_PROCESS` Value returned by getState() to indicate the the server is in the process of shutting down.
`static java.lang.String` | `SHUTDOWN_PENDING` Value returned by getState() to indicate the server will be shutting down.
`static java.lang.String` | `SUSPENDED` Value returned by getState() to indicate the the server is has been suspended.
`static java.lang.String` | `UNKNOWN` Value returned by getState() to indicate the the server is in an unknown state.

Method Summary
`long` | `getActivationTime()` Return the time when the server was started.
`java.lang.String` | `getAdminServerHost()` Return the address on which admin server is listening for connections.
`int` | `getAdminServerListenPort()` Return the port on which admin server is listening for connections.
`ClusterRuntimeMBean` | `getClusterRuntime()` Return an mbean which represents this server's view of its cluster, if any.
`java.lang.String` | `getJVMID()` Return the JVMID of the server.
`java.lang.String` | `getListenAddress()` Return the address on which this server is listening for connections.
`int` | `getListenPort()` Return the port on which this server is listening for connections.
`int` | `getOpenSocketsCurrentCount()` Return the current number sockets registered for socket muxing on this server.
`int` | `getRestartsTotalCount()` Return the total number of restarts for this server since the cluster was last activated.
`ServerSecurityRuntimeMBean` | `getServerSecurityRuntime()` Return the ServerSecurityRuntimeMBean for this server.
`long` | `getSocketsOpenedTotalCount()` Return the total number of registrations for socket muxing on this sever.
`java.lang.String` | `getSSLListenAddress()` Return the address on which this server is listening for connections.
`java.lang.String` | `getState()` Return the current state of the server.
`java.lang.String` | `getWeblogicVersion()` Return the version of the server
`void` | `shutdown()` Shutdown server.
`void` | `start()` Start suspended server.
`void` | `suspend()` Suspend server.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### RUNNING

    public static final java.lang.String RUNNING

  Value returned by getState() to indicate the the server is running.

### SHUTDOWN_PENDING

    public static final java.lang.String SHUTDOWN_PENDING

  Value returned by getState() to indicate the server will be shutting down.

### SHUTDOWN_IN_PROCESS

    public static final java.lang.String SHUTDOWN_IN_PROCESS

  Value returned by getState() to indicate the the server is in the process of shutting down.

### SUSPENDED

    public static final java.lang.String SUSPENDED

  Value returned by getState() to indicate the the server is has been suspended.

### UNKNOWN

    public static final java.lang.String UNKNOWN

  Value returned by getState() to indicate the the server is in an unknown state.

Method Detail

### start

    public void start()

  Start suspended server. Allow new requests.

### suspend

    public void suspend()

  Suspend server. Deny new requests (except by privileged users). Allow pending requests to complete.

### shutdown

    public void shutdown()

  Shutdown server. Reject new requests and fail pending requests. Use in conjunction with suspend to shutdown without disrupting service.

### getActivationTime

    public long getActivationTime()

  Return the time when the server was started.

### getListenAddress

    public java.lang.String getListenAddress()

  Return the address on which this server is listening for connections. For example this might return the string: santiago/172.17.9.220

### getListenPort

    public int getListenPort()

  Return the port on which this server is listening for connections.

### getSSLListenAddress

    public java.lang.String getSSLListenAddress()

  Return the address on which this server is listening for connections. For example this might return the string: santiago/172.17.9.220

### getJVMID

    public java.lang.String getJVMID()

  Return the JVMID of the server.

### getOpenSocketsCurrentCount

    public int getOpenSocketsCurrentCount()

  Return the current number sockets registered for socket muxing on this server.

### getRestartsTotalCount

    public int getRestartsTotalCount()

  Return the total number of restarts for this server since the cluster was last activated.

### getSocketsOpenedTotalCount

    public long getSocketsOpenedTotalCount()

  Return the total number of registrations for socket muxing on this sever.

### getState

    public java.lang.String getState()

  Return the current state of the server.

### getWeblogicVersion

    public java.lang.String getWeblogicVersion()

  Return the version of the server

### getServerSecurityRuntime

    public ServerSecurityRuntimeMBean getServerSecurityRuntime()

  Return the ServerSecurityRuntimeMBean for this server.

### getClusterRuntime

    public ClusterRuntimeMBean getClusterRuntime()

  Return an mbean which represents this server's view of its cluster, if any.

### getAdminServerHost

    public java.lang.String getAdminServerHost()

  Return the address on which admin server is listening for connections. For example this might return the string: santiago

### getAdminServerListenPort

    public int getAdminServerListenPort()

  Return the port on which admin server is listening for connections.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD